Module java.desktop
Package javax.swing.plaf.basic

## Class BasicScrollPaneUI.ViewportChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicScrollPaneUI.ViewportChangeHandler

- All Implemented Interfaces:
    `EventListener`, `ChangeListener`
  Enclosing class:
    BasicScrollPaneUI

      public class BasicScrollPaneUI.ViewportChangeHandler
      extends Object
      implements ChangeListener

  Listener for viewport events.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ViewportChangeHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `stateChanged​(ChangeEvent e)` | Invoked when the target of the listener has changed its state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewportChangeHandler

          public ViewportChangeHandler​()

  - ### Method Detail

    - #### stateChanged

          public void stateChanged​(ChangeEvent e)

      Description copied from interface: `ChangeListener`
      Invoked when the target of the listener has changed its state.
      Specified by:
        `stateChanged` in interface `ChangeListener`
      Parameters:
        `e` - a ChangeEvent object